Oktopost
Account

Users

Users are individuals who have login access to the social media management platform or social advocacy board. The following endpoint allows to get, list, create, update and delete users.

Get User

Example Request

curl -i https://api.oktopost.com/v2/user/00A000000000000

Example Result

{  
    "Result":true,
    "User":{  
        "Id":"00A000000000000",
        "Created":"2014-12-21 10:27:25",
        "Modified":"2015-08-04 09:37:49",
        "Status":"active",
        "Name":"Oktopost",
        "FirstName":"Okto",
        "LastName":"Post",
        "Email":"info@oktopost.com",
        "LastLogin":"2015-07-23 09:13:17",
        "LastBoardLogin":"2015-07-29 14:48:18",
        "HasBrowserExtension":1,
        "LinkedInId":"",
        "LinkedInName":"",
        "LinkedInImageUrl":"",
        "TwitterId":"",
        "TwitterName":"",
        "TwitterImageUrl":"",
        "FacebookId":"",
        "FacebookName":"",
        "FacebookImageUrl":"",
        "Timezone":"America/New_York"
    }
}

List Users

Parameters

ParamDefaultDescription
q-Filters users by name (partial match).
_order-Sort field and direction. Options: name, email. 0 = descending, 1 = ascending.
_page0The current page (zero-indexed).
_count25Results per page. Options: 25, 50, 100.

See Pagination for shared behavior.

Example Request

curl -i "https://api.oktopost.com/v2/user?q=okto&_order=name,1&_count=50"

Example Result

{  
    "Result":true,
    "Items":[  
        {  
            "Id":"00A000000000000",
            "Name":"Oktopost",
            "Email":"info@oktopost.com",
            "LastLogin":"2015-07-23 09:13:17",
            "Role":"admin",
            "Timezone":"America/New_York"
        },
        ...
    ],
    "Total":10
}

Create User

Example Request

curl -i https://api.oktopost.com/v2/user -X POST \
    -d firstName="Okto" \
    -d lastName="Post" \
    -d email="info@oktopost.com" \
    -d password="123456" \
    -d role="admin" \
    -d timezone="America/New_York"

Roles

The following roles can be applied when creating a new user.

RoleDescription
adminCan manage all functions
publisherCan manage all functions besides account administration
contributorHas the same privileges as publisher besides approving posts
readRead only

Update User

Example Request

curl -i https://api.oktopost.com/v2/user/00A000000000000 -X POST \
-d firstName="Oktopost" \
-d lastName="Rocks" \
-d email="info@oktopost.com" \
-d password="123456" \
-d timezone="America/New_York"

Both create and update actions will return a similar response to the GET endpoint.

Delete User

Example Request

curl -i https://api.oktopost.com/v2/user/00A000000000000 -X DELETE